aboutsummaryrefslogtreecommitdiffstats
path: root/bin/pacman-disowned
diff options
context:
space:
mode:
authorDavid Runge <david.runge@frqrec.com>2014-04-08 19:09:16 +0200
committerDavid Runge <david.runge@frqrec.com>2014-04-08 19:09:16 +0200
commit1ead0f5dfb48039f8e69f10c9702f848d4762ffc (patch)
treec92a91e996fb1bb0dfd78d4230f25620ef1b7098 /bin/pacman-disowned
parent51a21f7e98f40a6943103ca70ee1f4a71ccf8941 (diff)
downloaddotfiles-1ead0f5dfb48039f8e69f10c9702f848d4762ffc.tar.gz
dotfiles-1ead0f5dfb48039f8e69f10c9702f848d4762ffc.tar.bz2
dotfiles-1ead0f5dfb48039f8e69f10c9702f848d4762ffc.tar.xz
dotfiles-1ead0f5dfb48039f8e69f10c9702f848d4762ffc.zip
Adding (possibly not needed) pacman helper scripts
Diffstat (limited to 'bin/pacman-disowned')
-rwxr-xr-xbin/pacman-disowned16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/pacman-disowned b/bin/pacman-disowned
new file mode 100755
index 0000000..df1b5da
--- /dev/null
+++ b/bin/pacman-disowned
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+tmp=${TMPDIR-/tmp}/pacman-disowned-$UID-$$
+db=$tmp/db
+fs=$tmp/fs
+
+mkdir "$tmp"
+trap 'rm -rf "$tmp"' EXIT
+
+pacman -Qlq | sort -u > "$db"
+
+find /bin /etc /lib /sbin /usr \
+ ! -name lost+found \
+ \( -type d -printf '%p/\n' -o -print \) | sort > "$fs"
+
+comm -23 "$fs" "$db"